import 'vscode/vscode/vs/platform/userDataSync/common/userDataSync';
import { UserDataSyncEnablementService as UserDataSyncEnablementService$1 } from '../../../../platform/userDataSync/common/userDataSyncEnablementService.js';

class UserDataSyncEnablementService extends UserDataSyncEnablementService$1 {
    get workbenchEnvironmentService() { return this.environmentService; }
    getResourceSyncStateVersion(resource) {
        return resource === "extensions"  ? this.workbenchEnvironmentService.options?.settingsSyncOptions?.extensionsSyncStateVersion : undefined;
    }
}

export { UserDataSyncEnablementService };
